Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Doc updates, prep for 0.14 release

  • Loading branch information...
commit 0f5b6e1244acc6d64d6b4ed1c1a71a1d9b26ff19 1 parent 0d753b3
@jrburke authored
Showing with 22 additions and 15 deletions.
  1. +1 −1  README.md
  2. +1 −1  dist/pre.html
  3. +19 −12 docs/download.md
  4. +1 −1  require.js
View
2  README.md
@@ -14,7 +14,7 @@ The standard require.js file is around 4.9KB when minified via Closure Compiler
RequireJS works in IE 6+, Firefox 2+, Safari 3.2+, Chrome 3+, and Opera 10+.
-Latest Release: [0.13.0](http://requirejs.org/docs/download.html)
+Latest Release: [0.14.0](http://requirejs.org/docs/download.html)
* [Start](requirejs/tree/master/docs/start.md)
* [Using it with jQuery](requirejs/tree/master/docs/jquery.md)
View
2  dist/pre.html
@@ -48,6 +48,6 @@
<li class="section"><a href="http://github.com/jrburke/requirejs">GitHub</a></li>
<li><a class="local" href="contributing.html">Contributing</a></li>
- <li class="section">0.13.0 Docs</li>
+ <li class="section">0.14.0 Docs</li>
</ul>
<div id="content">
View
31 docs/download.md
@@ -1,33 +1,35 @@
# Download RequireJS
-### Latest Release: 0.13.0
+### Latest Release: 0.14.0
-* module.setExports and module.exports are now supported for converted CommonJS modules.
-* [Bug fixes](http://github.com/jrburke/requirejs/commits/master) (see commits starting from 2010-07-05 through 2010-09-10), in particular [a fix to throw when a timeout for a script occurs](http://github.com/jrburke/requirejs/commit/d12935bac803bcd5981652584102282b69fdd7b1). That fix should make debugging issues much easier.
+* [Anonymous modules support](http://tagneto.blogspot.com/2010/09/anonymous-module-support-in-requirejs.html), [CommonJS Asynchronous Module proposal](http://wiki.commonjs.org/wiki/Modules/AsynchronousDefinition) supported.
+* [Loading modules from CommonJS packages](api.md#packages).
+* [Bug fixes](http://github.com/jrburke/requirejs/commits/master) (see commits starting from (see commits starting from 2010-09-15 through 2010-09-26))
-#### <a name="requirejs">require.js</a> [Minified](http://requirejs.org/docs/release/0.13.0/minified/require.js) | [With Comments](http://requirejs.org/docs/release/0.13.0/comments/require.js)
+
+#### <a name="requirejs">require.js</a> [Minified](http://requirejs.org/docs/release/0.14.0/minified/require.js) | [With Comments](http://requirejs.org/docs/release/0.14.0/comments/require.js)
All you need to start using require.js in the browser. Does not include i18n, text, order, JSONP plugins or Node/Rhino support.
-#### <a name="requirejsplugins">require.js with plugins</a> [Minified](http://requirejs.org/docs/release/0.13.0/minified/allplugins-require.js) | [With Comments](http://requirejs.org/docs/release/0.13.0/comments/allplugins-require.js)
+#### <a name="requirejsplugins">require.js with plugins</a> [Minified](http://requirejs.org/docs/release/0.14.0/minified/allplugins-require.js) | [With Comments](http://requirejs.org/docs/release/0.14.0/comments/allplugins-require.js)
require.js for use in the browser with the i18n, text, order and JSONP plugins included.
-#### <a name="requirejstransportD">require.js with Transport D and plugins</a> [Minified](http://requirejs.org/docs/release/0.13.0/minified/transportD-require.js) | [With Comments](http://requirejs.org/docs/release/0.13.0/comments/transportD-require.js)
+#### <a name="requirejstransportD">require.js with Transport D and plugins</a> [Minified](http://requirejs.org/docs/release/0.14.0/minified/transportD-require.js) | [With Comments](http://requirejs.org/docs/release/0.14.0/comments/transportD-require.js)
require.js for use in the browser with require.define support for [Transport D from CommonJS](http://wiki.commonjs.org/wiki/Modules/Transport/D), and i18n, text, order and JSONP plugins included.
-#### <a name="jqueryrequirejs">jQuery 1.4.2 with require()</a> [Minified](http://requirejs.org/docs/release/0.13.0/minified/require-jquery-1.4.2.js) | [With Comments](http://requirejs.org/docs/release/0.13.0/comments/require-jquery-1.4.2.js)
+#### <a name="jqueryrequirejs">jQuery 1.4.2 with require()</a> [Minified](http://requirejs.org/docs/release/0.14.0/minified/require-jquery-1.4.2.js) | [With Comments](http://requirejs.org/docs/release/0.14.0/comments/require-jquery-1.4.2.js)
A build of jQuery with integrated require() support. **Does not include** RequireJS plugin support, so the i18n, text, order, JSONP plugins will not work with this build.
-#### <a name="jqueryrequirejsplugins">jQuery 1.4.2 with require() and plugins</a> [Minified](http://requirejs.org/docs/release/0.13.0/minified/requireplugins-jquery-1.4.2.js) | [With Comments](http://requirejs.org/docs/release/0.13.0/comments/requireplugins-jquery-1.4.2.js)
+#### <a name="jqueryrequirejsplugins">jQuery 1.4.2 with require() and plugins</a> [Minified](http://requirejs.org/docs/release/0.14.0/minified/requireplugins-jquery-1.4.2.js) | [With Comments](http://requirejs.org/docs/release/0.14.0/comments/requireplugins-jquery-1.4.2.js)
A build of jQuery with integrated require() support that includes plugin support, including the i18n, text, order and JSONP plugins.
<hr>
-#### <a name="samplejquery">Sample jQuery 1.4.2 project with require()</a> [Download](http://requirejs.org/docs/release/0.13.0/jquery-require-sample.zip)
+#### <a name="samplejquery">Sample jQuery 1.4.2 project with require()</a> [Download](http://requirejs.org/docs/release/0.14.0/jquery-require-sample.zip)
A zip file containing a build of jQuery with integrated require() support, with an sample project included to show how it can be used when using jQuery. **Does not include** RequireJS plugin support, so the i18n, text, order, JSONP plugins will not work with this build.
@@ -35,9 +37,9 @@ A zip file containing a build of jQuery with integrated require() support, with
#### <a name="node">RequireJS adapter for Node</a>
-**[r.js](http://requirejs.org/docs/release/0.13.0/node/r.js)**: use this file if you want to code to the RequireJS module format in Node. The [Node instructions](node.md) explain how to use it. It includes all the code needed for RequireJS to function with Node.
+**[r.js](http://requirejs.org/docs/release/0.14.0/node/r.js)**: use this file if you want to code to the RequireJS module format in Node. The [Node instructions](node.md) explain how to use it. It includes all the code needed for RequireJS to function with Node.
-**[index.js](http://requirejs.org/docs/release/0.13.0/node/index.js)**: the standard HTTP server-based Hello World app for Node, but coded to work with the r.js adapter. Download it in the same directory as r.js and then run this command:
+**[index.js](http://requirejs.org/docs/release/0.14.0/node/index.js)**: the standard HTTP server-based Hello World app for Node, but coded to work with the r.js adapter. Download it in the same directory as r.js and then run this command:
node r.js index.js
@@ -45,7 +47,7 @@ Then you can go to http://127.0.0.1:8000/ and see "Hello World" printed after ab
<hr>
-#### <a name="optimizationtool">Optimization Tool / Full Source</a> [Download](http://requirejs.org/docs/release/0.13.0/requirejs-0.13.0.zip)
+#### <a name="optimizationtool">Optimization Tool / Full Source</a> [Download](http://requirejs.org/docs/release/0.14.0/requirejs-0.14.0.zip)
A zip file that is the optimization tool for RequireJS. It also includes the full source for require.js and its plugins.
@@ -57,6 +59,11 @@ If you want to use RequireJS in Rhino, you should use this download.
### Previous releases
+### 0.13.0
+
+* module.setExports and module.exports are now supported for converted CommonJS modules.
+* [Bug fixes](http://github.com/jrburke/requirejs/commits/master) (see commits starting from 2010-07-05 through 2010-09-10), in particular [a fix to throw when a timeout for a script occurs](http://github.com/jrburke/requirejs/commit/d12935bac803bcd5981652584102282b69fdd7b1). That fix should make debugging issues much easier.
+
### 0.12.0
* A new plugin: [order](api.md#order) -- it ensures that scripts are fetched asynchronously and in parallel, but executed in the order specified in the call to require(). Ideal for traditional browser scripts that do not participate in modules defined via calls to require.def().
View
2  require.js
@@ -13,7 +13,7 @@ setInterval: false, importScripts: false */
var require;
(function () {
//Change this version number for each release.
- var version = "0.13.0+",
+ var version = "0.14.0",
empty = {}, s,
i, defContextName = "_", contextLoads = [],
scripts, script, rePkg, src, m, dataMain, cfg = {}, setReadyState,
Please sign in to comment.
Something went wrong with that request. Please try again.